Subject: Re: Compile-time warnings on mlx4/net-next

From: Or Gerlitz <[email-masked]>
Date: Thu, 15 Jan 2015 15:20:47 +0200

On 1/15/2015 3:05 PM, Marcelo Ricardo Leitner wrote:
> Hi Or,
>
> Building net-next.git from today, 4e7a84b1a5bc8094522fd11f628b00c4b4e78b4d,
> I'm seeing these warnings on mlx4:
>
> drivers/net/ethernet/mellanox/mlx4/fw.c: In function ‘mlx4_config_dev_retrieval’:
> drivers/net/ethernet/mellanox/mlx4/fw.c:2136:12: warning: ‘config_dev.rx_checksum_val’ may be used uninitialized in this function [-Wmaybe-uninitialized]
>    csum_mask = (config_dev.rx_checksum_val >> CONFIG_DEV_RX_CSUM_MODE_PORT2_BIT_OFFSET) &
>              ^
BTW  in net-next.git this is line 2155 .. it's 2136 on net.git
> In file included from include/linux/swab.h:4:0,
>                   from include/uapi/linux/byteorder/little_endian.h:12,
>                   from include/linux/byteorder/little_endian.h:4,
>                   from ./arch/x86/include/uapi/asm/byteorder.h:4,
>                   from include/asm-generic/bitops/le.h:5,
>                   from ./arch/x86/include/asm/bitops.h:504,
>                   from include/linux/bitops.h:36,
>                   from include/linux/kernel.h:10,
>                   from include/linux/skbuff.h:17,
>                   from include/linux/if_ether.h:23,
>                   from include/linux/etherdevice.h:25,
>                   from drivers/net/ethernet/mellanox/mlx4/fw.c:35:
> include/uapi/linux/swab.h:106:23: warning: ‘config_dev.vxlan_udp_dport’ may be used uninitialized in this function [-Wmaybe-uninitialized]
>    (__builtin_constant_p((__u16)(x)) ? \
>                         ^
> drivers/net/ethernet/mellanox/mlx4/fw.c:2114:25: note: ‘config_dev.vxlan_udp_dport’ was declared here
>    struct mlx4_config_dev config_dev;
>                           ^
>
> Do you see them too?

using $ make W=1 -j 20 SUBDIRS=./drivers/net/ethernet/mellanox/mlx4 with 
gcc 4.8.2 I don't see that, but I'll look there,
thanks for the report.

Or.